Virtualmin virtual-server module version 6.07 released

15 posts / 0 new
Last post
#1 Sat, 07/27/2019 - 01:09
Joe
Joe's picture

Virtualmin virtual-server module version 6.07 released

Howdy all,

I've rolled out version 6.07 of the Virtualmin virtual-server module.

Changes since 6.06-2:

  • Virtual servers to backup can now be selected by reseller.
  • DMARC ordering, RUF and RUA parameter fixes.
  • Fixes for encrypted backups and key generation.
  • Backup and restore fixes for quotas, Dropbox, and alias domains.
  • Many Install Script updates.
  • Various bug fixes.

Cheers,

Joe

Sat, 07/27/2019 - 01:20
hvillemoes

I don't see 6.07 on my 3 VirtualMin's or in yum ...

Sat, 07/27/2019 - 12:12 (Reply to #2)
Joe
Joe's picture

As far as I can tell it is in all repos. Check to be sure the virtualmin-universal repo has not been disabled or removed for some reason.

--

Check out the forum guidelines!

Sun, 07/28/2019 - 01:22 (Reply to #3)
hvillemoes

Yes, now I have received the updates all over. So the learning is patience :-)

Thank you

Sat, 07/27/2019 - 08:57
applejack

Hi Joe

That is great and now the switching of the versions of php now points to the correct php-fpm conf file.

However on my server using Centos 6.10, Apache 2.2.15 I still get an internal server error using php-fpm. Please see thread

https://www.virtualmin.com/node/66679

P.S. I have now managed to solve this.

Sat, 07/27/2019 - 09:37
borekon
borekon's picture

I don't know if it is a bug, but I have to restart php-fpm by hand to be applied the configuration. By hand I mean I have to do in CLI

Sat, 07/27/2019 - 16:01
faithman

wrong topic, please delete

Sun, 07/28/2019 - 18:14
jimdunn

This update broke my FPM configuration (hasn't happened for nearly 2 years).

The solution (workaround) is to change all domains to FCGID and back to FPM:

Step 1:

#!/bin/sh
mkdir /var/run/php
chown -R www-data:www-data /var/run/php
/usr/sbin/virtualmin modify-web --all-domains --mode fcgid
/etc/init.d/apache2 restart
/etc/init.d/php7.0-fpm restart

Step 2:

#!/bin/sh
mkdir /var/run/php
chown -R www-data:www-data /var/run/php
/usr/sbin/virtualmin modify-web --all-domains --mode fpm
/etc/init.d/apache2 restart
/etc/init.d/php7.0-fpm restart

(you might need to adjust the init.d lines, per your configuration)

Tue, 08/20/2019 - 17:21 (Reply to #8)
eddieb

This works but if you run check config it will break again, and possibly during the next update too.

Tue, 07/30/2019 - 03:38
Jfro

Wen can we expect a updated update with fix for the php fpm part as described above?

And this? https://www.virtualmin.com/comment/815083#comment-815083

Sun, 08/04/2019 - 13:54
sz00gun

Any proper fix for the above topic?

Sun, 10/06/2019 - 05:30
Jfro

Summing up: Possible severe problems after update or fresh install of this version.

IF solved for you please let everyone know here in forum with also you OS and version nrs and a howto or link to solution!

PHP FPM several but also this if doing re-check / restart then not working. https://github.com/virtualmin/virtualmin-gpl/issues/96

MAriadb problem several.

https://github.com/virtualmin/virtualmin-gpl/commit/be9984c0d6bd2e6ec84d...

https://github.com/virtualmin/virtualmin-gpl/commit/bcc1ed6ad138ae5cae52...

Network problems after validate or configure in GUI.

Letsenscrypt several but also outdated parts i guess. https://www.virtualmin.com/node/67390

LAst but not least Security.

https://www.virtualmin.com/node/67342

Mon, 10/07/2019 - 15:49
adamjedgar

My install of virtualmin has no longer experienced php fpm issues for a while now.

AJECreative is the home of $5 webhosting, $15/month VPS servers (1cpu,1gb RAM, 25GB storage)
Centos7, Debian9, or Ubuntu18LTS
Available Control Panels = Centos-Webpanel, Cyberpanel, or Virtualmin

https://ajecreative.com.au

Mon, 10/07/2019 - 17:23
jimdunn

My PHP-FPM ran for over a year without a problem, but all it takes is one upgrade to push that button... : )

Fri, 10/11/2019 - 14:01
Jfro

Double post but could be more urgent to...?

Sorry to ask or reply.

That V1 remark / announcement was known by 11-03-2019 and still not updated in virtualmin? The original protocol used by Let’s Encrypt for certificate issuance and management is called ACMEv1. In March of 2018 we introduced support for ACMEv2, a newer version of the protocol that matches what was finalized today as RFC 8555. We have been encouraging subscribers to move to the ACMEv2 protocol.

Today we are announcing an end of life plan for ACMEv1.

In November of 2019 we will stop allowing new account registrations through our ACMEv1 API endpoint. Existing accounts will continue to function normally.

In June of 2020 we will stop allowing new domains to validate via ACMEv1.

We will be permanently disabling new ACME v1 registrations in the staging environment on October 1st .

And this one in august 2019. https://community.letsencrypt.org/t/important-notice-to-acme-client-deve... Clients not compatible with ACME v2 will progressively disappear from https://letsencrypt.org/docs/client-options/ (They will be greyed out first, and then removed). The objective is to points users only to ACME v2 clients as the ACME v1 API is deprecated and will be removed

edit like

Submitted by seablaze on Fri, 10/11/2019 - 20:43 Comment #5

Due to the brownout today during the end of life plan, I am seeing this issue as well. Please address.

https://community.letsencrypt.org/t/end-of-life-plan-for-acmev1/88430/2

like

Submitted by Jfro on Fri, 10/11/2019 - 21:00 Comment #6 new

YUP i don't understand why to wait longer with this part?

edit like